<?php
/**
 * @package    HikaMarket for Joomla!
 * @version    2.1.0
 * @author     Henrik Nielsen
 * @copyright  (C) 2018 Flexsus.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

/**
 * Helper for mod_hikamarket_stats
 *
 */
class ModHikamarketStatsHelper
{
    
    /**
     * Method to get total count of published vendors.
     *
     */
    public static function getTotalVendors() {
    	$db			= JFactory::getDbo();
    	$query		= $db->getQuery(true);
    	$id			= JFactory::getApplication()->input->getInt('id',0);
    	
    	$query = "SELECT COUNT(*)"
    			." FROM `#__hikamarket_vendor`"
    			." WHERE `vendor_published` = 1"
				;

		$db->setQuery($query);
		$vendor_count = $db->loadResult();
		
		return $vendor_count;
    }

    /**
     * Method to get total count of published products.
     *
     */
    public static function getTotalProducts() {
    	$db			= JFactory::getDbo();
    	$query		= $db->getQuery(true);
    	$id			= JFactory::getApplication()->input->getInt('id',0);
    	
    	$query = "SELECT COUNT(*)"
    			." FROM `#__hikashop_product`"
    			." WHERE `product_published` = 1"
				;

		$db->setQuery($query);
		$product_count = $db->loadResult();

		return $product_count;
    }

    /**
     * Method to get frontend online users.
     *
     */
    public static function getOnlineCount() {
    	$config = JFactory::getConfig();
    	$db			= JFactory::getDbo();
    	$query		= $db->getQuery(true);
    	$id			= JFactory::getApplication()->input->getInt('id',0);
    	   	
    	// Get the number of frontend logged in users if shared sessions is not enabled.
    	$online_num = 0;
    	if (!$config->get('shared_session', '0'))
    	{
    		$query = "SELECT COUNT(session_id)"
    				." FROM `#__session`"
    				." WHERE `guest` = 0 AND `client_id` = 0"
    				;
    		
    		$db->setQuery($query);
    		$online_num = (int) $db->loadResult();
    		
    		return $online_num;
    	}
    	
    	// Get the number of logged in users if shared sessions is enabled.
    	$total_users = 0;
    	if ($config->get('shared_session', '0'))
    	{
    		$query->clear()
    		->select('COUNT(session_id)')
    		->from('#__session')
    		->where('guest = 0');
    		
    		$db->setQuery($query);
    		$total_users = (int) $db->loadResult();
    		
    		return $total_users;
    	}
    	
    }
    
}